%define contentdir /var/www/html
Summary: An embedded Python interpreter for the Apache Web server.
Name: mod_python
Version: 2.7.8
Release: 3.1
Source: http://www.modpython.org/dist/%{name}-%{version}.tgz
Patch0: mod_python-2.7.3-paths.patch
Patch1: mod_python-cleanup.patch
Patch2: mod_python-CAN-2003-0973.patch
Patch3: mod_python-2.7.8-CAN-2005-0088.patch
URL: http://www.modpython.org/
License: GPL
Group: System Environment/Daemons
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: webserver
BuildPrereq: apache-devel, python, python-devel

%description
Mod_python is a module that embeds the Python language interpreter within
the server, allowing Apache handlers to be written in Python.

Mod_python brings together the versatility of Python and the power of
the Apache Web server for a considerable boost in flexibility and
performance over the traditional CGI approach.

%prep
%setup -q 
%patch0 -p1 -b .paths
%patch1 -p1 -b .cleanup
%patch2 -p0 -b .can20030973
%patch3 -p1 -b .can0088

%build
%configure --with-apxs=%{_sbindir}/apxs
make %{?_smp_mflags} OPT="`%{_sbindir}/apxs -q CFLAGS` -fPIC"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
make install ROOT=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{contentdir}/manual/mod/%{name}
cp -a doc-html/* $RPM_BUILD_ROOT%{contentdir}/manual/mod/%{name}/
chmod 644 COPYRIGHT README

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS CREDITS COPYRIGHT
%{contentdir}/manual/mod/%{name}
%{_libdir}/apache/mod_python.so
%{_libdir}/python*/site-packages/mod_python

%changelog
* Tue Feb  1 2005 Joe Orton <jorton@redhat.com> 2.7.8-3.1
- correctly adapt CAN-2005-0088 fix for Python 1.5

* Mon Jan 31 2005 Joe Orton <jorton@redhat.com> 2.7.8-2.1
- add security fix for CVE CAN-2005-0088 (#146655)

* Mon Feb  2 2004 Gary Benson <gbenson@redhat.com> 2.7.8-2
- apply fix for CVE CAN-2003-0973

* Mon Apr 22 2002 Nalin Dahyabhai <nalin@redhat.com> 2.7.8-1
- update for RHSA-2002:070

* Thu Feb 28 2002 Nalin Dahyabhai <nalin@redhat.com> 2.7.6-5
- add patch for cleanups (#57232)

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 2.7.6-4
- rebuild with python 1.5

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jan 04 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- change for python 2.2

* Thu Aug  9 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.7.6

* Mon Jun 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.7.5
- add URL
- move docs so that they live under %{contentdir}

* Thu May 31 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.7.3

* Tue Jan 16 2001 Cristian Gafton <gafton@redhat.com>
- fix module compilation paths
- build first package for RHN
